.sidebar{
    background: var(--color-6);
    font-family: $font-1;
    min-height: $min-height;
    width: 25%;
    border-radius: $borderRadius;
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 250px 1fr 68px 50px;
    grid-template-areas: 
    "1"
    "2"
    "3"
    "4";


    .id{
        grid-area:1;
        text-align: center;
        user-select: none;
        position: relative;

        .idContent{
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            width: 100%;

            img{
                border-radius: 50%;
                box-shadow: 0 0 0 4px var(--color-3), 0 0 0 8px var(--color-4), 0 0 0 12px var(--color-2);
            }

            h3{
                font-size: 1.5em;
                text-transform: uppercase;
                letter-spacing: .1em;
                margin-top:1em;
                color: var(--color-5);
            }
        }
    }

    .navigation{
        grid-area:2;
        padding: 2rem 1rem;

        ul{
            height: 100%;
            display: grid;

            li{
                padding: 1rem 0 1rem .4rem;
                font-size: 1.6rem;
                position: relative;
            }

            li:hover i{
                transform: translate(3px,-2px);
            }

            //soulignement animation
            span{
                margin-left: 2.7rem;
            }
            
            a{
                color:rgb(250, 250, 250);
            }

            .navActive{
                color: var(--color-3);
            }

            i{
                position: absolute;
                font-size: 1.25rem;
                margin-top: 7px;
                transition: .2s ease;
            }

            
        }
    }
    .social{
        grid-area:3;
        
        ul{
            display: flex;
            width: 264px;
            padding: 0 14px;
            justify-content: center;
    
            li{
                cursor: pointer;

                .gitLab{
                    margin-top: -2px;
                    transition:0.1s;
                    height: 50px;
                }
                .gitLab:hover{
                    margin-top: -4px;
                    height: 54px;
                }
            }
        }
    
    }

    .theme{
        grid-area: 4;
        display:flex;
        flex-direction: row;
        justify-content: center;

        i{
            margin: 3px 15px;
            font-size: 1.30rem;
            transition: .2s;
        }
        #moon{
            color: var(--color-moon);
            text-shadow: var(--shadow-moon);
        }
        #sun{
            color: var(--color-sun);
        }
        
        button{
            border-radius: $borderRadius;
            border: none;
            outline: none;
            background-color: var(--color-theme);
            height: 24px;
            width: 46px;
        
            #switch_front{
                margin-left: var(--margin-button);
                justify-content: center;
                order: 2;
                background-color: white;
                border-radius: $borderRadius;
                width: 20px;
                height: 20px;
                transition: 0.5s;
            }
        }       
    }
}


@media screen and (max-width: 850px){
    .sidebar{
        display:flex;
        min-height: 50px;
        margin-bottom: .2rem;
        width: 100%;

        .id,.social,.theme{
            display: none;
        }

        .navigation{
           width: 100%;
           padding: .1rem 1rem;
           
           ul{
                display: flex;
                justify-content: space-between;
           }

           span{
               margin-left: 1.5rem !important;
           }
        }
    }
}

@media screen and (max-width: 760px){
    .sidebar{  
        ul{
            display: flex;
            justify-content: space-around !important;

            li{
                padding: 1rem 0 !important;
            }

            i{
                font-size: 1.4rem !important;
                transform: translateY(-3px) !important;
            }
        }

        span{
            display: none;
        }
        
    }
}